Subject: [mpls] Typo in LDP FEC TYPE NAME SPACE registry.

From: Luca Martini <[email-masked]>
Date: Tue, 02 Jun 2009 15:28:37 -0600

Iana,

The registry LDP FEC TYPE NAME SPACE, contains the following error:

OLD:

Value    Hex    Name                                Reference
-------  -----  -----------------------------       ---------
~
80       0x80   PWid FEC Element                    [RFC4447]
81       0x81   Generalized PWid FEC Element        [RFC4447]
82-191          Unassigned
~

NEW:
Value    Hex    Name                                Reference
-------  -----  -----------------------------       ---------
~
82-127          Unassigned
128      0x80   PWid FEC Element                    [RFC4447]
129      0x81   Generalized PWid FEC Element        [RFC4447]
130-191         Unassigned
~

-----------------------------------------------------------------

Basically the error is in the Hex to Decimal conversion. 0x80 is equal to 128 decimal , not 80 decimal.
Please refer to RFC4447 which requests allocation of 0x80 and 0x81 in sec 7.3.

Thanks.
Luca